# class Comment

###

Module | khtml
Namespace | DOM
Class | Comment
Inherits | DOM::CharacterData

This represents the content of a comment, i.e., all the characters between the starting ' <!-- ' and ending ' --> '. Note that this is the definition of a comment in XML, and, in practice, HTML, although some HTML tools may implement the full SGML comment structure.

### methods

- Comment ( )

  returns ctor

- Comment (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Comment |

- Comment (other)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  other | DOM.Node |

- Comment (i)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  i | CommentImpl |